; tabstop=8
;
;
	ORG	0F000H

	JP	PCMSTART
	JP	INTMASK
	JP	INIT8251
	JP	READ232C
	JP	READTAPE


WAVST:	EQU	0800H
DTLENP:	EQU	0828H
DTST:	EQU	082CH
BLCHR:	EQU	0427H

ADJPST:	EQU	80H
ADJPED:	EQU	92H


MODE8251:
	DB	4FH		; stop=1/parity=none/length=8bit/clock=x64
RXMODE:
	DB	82H		; DSR=on/RxRDY=1


PCMSTART:

	DI

		; AY-3-8910 ̐ݒ
	LD	C,0A1H
	LD	A,07H
	OUT	(0A0H),A
	LD	B,0BFH
	OUT	(C),B		; g[A/B/C fBZ[u
	INC	A
	OUT	(0A0H),A
	LD	B,0DH
	OUT	(C),B		; |[gA ̉ʂlɁi0x80j
	INC	A
	OUT	(0A0H),A
	LD	B,09H
	OUT	(C),B		; |[gB ̉ʂlɁi0x80j
	INC	A
	OUT	(0A0H),A
	LD	B,00H
	OUT	(C),B		; |[gC ̉ʂlɁi0x80j


	LD	A,02H
	OUT	(093H),A	; oXNGXgOFF

	LD	A,0DDH
	OUT	(0F0H),A	; 0x0000-0x7FFF RAMǂݏo

	LD	DE,(DTLENP)	; f[^i{32rbgj
	LD	HL,DTST		; f[^Jnʒu

LOOP:
	PUSH	DE		; 11+1
	LD	E,(HL)		; 7+1
	PUSH	HL		; 11+1
				; 32

		; ʃe[u

	LD	D,00H		; 7+1
	LD	HL,PCMTABLE	; 10+1
	ADD	HL,DE		; 11+1
	ADD	HL,DE		; 11+1
	ADD	HL,DE		; 11+1
	LD	B,(HL)		; 7+1
	INC	HL		; 6+1
	LD	D,(HL)		; 7+1
	INC	HL		; 6+1
	LD	E,(HL)		; 7+1
				; 93 / 125

		; A`C̃{[óB
		; ʂȂ悤ɏo邾B

	LD	C,0A1H		; 7+1
	LD	A,08H		; 7+1
	OUT	(0A0H),A	; 11+2
	OUT	(C),B		; 12+2
	INC	A		; 4+1
	OUT	(0A0H),A	; 11+2
	OUT	(C),D		; 12+2
	INC	A		; 4+1
	OUT	(0A0H),A	; 11+2
	OUT	(C),E		; 12+2
				; 107 / 232

		; ԑ҂

	PUSH	DE		; 11+1
	POP	DE		; 10+1
	PUSH	DE		; 11+1
	POP	DE		; 10+1
				; 46 / 278

	POP	HL		; 10+1
	POP	DE		; 10+1
	INC	HL		; 6+1
	LD	A,H		; 4+1
	CP	ADJPST		; 7+1
	JR	NZ,LP3		; 12+1 / 7+1
	LD	H,ADJPED	;        7+1
LP3:
	DEC	DE		; 6+1
	LD	A,D		; 4+1
	OR	E		; 4+1
	JR	NZ,LOOP		; 12+1
				; 85 / 363


	LD	A,11H
	OUT	(0F0H),A	; 0x0000-0x7FFF BASICǂݏo

	LD	A,03H
	OUT	(093H),A	; oXNGXgON

	LD	C,0A1H
	LD	A,08H
	OUT	(0A0H),A
	LD	B,00H
	OUT	(C),B		; |[gA ̉ʂ 0 
	INC	A
	OUT	(0A0H),A
	LD	B,00H
	OUT	(C),B		; |[gB ̉ʂ 0 
	INC	A
	OUT	(0A0H),A
	LD	B,00H
	OUT	(C),B		; |[gC ̉ʂ 0 

	EI

	RET


INTMASK:
	DI
	LD	A,73H
	LD	(0FA04H),A	; RS232C̊荞݂XLbv
	EI
	RET

INIT8251:
	DI
	LD	A,(MODE8251)
	LD	B,A
	LD	A,12H
	OUT	(81H),A		; RTS=off/DTR=on/Tx=Disable/Rx=Disable/Error clear
	LD	A,52H
	OUT	(81H),A		; 8251 Reset
	NOP			; wait
	NOP
	NOP
	NOP
	LD	A,B
	OUT	(81H),A		; 8251 mode set
	LD	A,37H
	OUT	(81H),A		; RTS=on/DTR=on/Tx=Enable/Rx=Ensable/Error clear
	EI
	RET


READ232C:
	DI

	LD	A,0DDH
	OUT	(0F0H),A	; 0x0000-0x7FFF RAMǂݏo

	LD	HL,WAVST
	LD	BC,DTST-WAVST
	LD	A,(RXMODE)
	LD	D,A
RX_L2:
	LD	A,37H
	OUT	(81H),A		; RTS=on
RX_L1:
	IN	A,(81H)
	AND	D
	CP	D
	JR	NZ,RX_L1
	LD	A,17H
	OUT	(81H),A		; RTS=off
	IN	A,(80H)
	LD	(HL),A
	CP	'R'		; 擪oCg̃`FbN
	JR	NZ,RX_L2
	INC	HL
	DEC	BC
RX_L4:
	LD	A,37H
	OUT	(81H),A		; RTS=on
RX_L3:
	IN	A,(81H)
	AND	D
	CP	D
	JR	NZ,RX_L3
	LD	A,17H
	OUT	(81H),A		; RTS=off
	IN	A,(80H)
	LD	(HL),A
	LD	(BLCHR),A
	INC	HL
	DEC	BC
	LD	A,B
	OR	C
	JR	NZ,RX_L4

	LD	BC,(DTLENP)	; f[^oCg
RX_L6:
	LD	A,37H
	OUT	(81H),A		; RTS=on
RX_L5:
	IN	A,(81H)
	AND	D
	CP	D
	JR	NZ,RX_L5
	LD	A,17H
	OUT	(81H),A		; RTS=off
	IN	A,(80H)
	LD	(HL),A
	LD	(BLCHR),A
	INC	HL
	LD	A,H
	CP	ADJPST
	JR	NZ,RX_L7
	LD	H,ADJPED
RX_L7:
	DEC	BC
	LD	A,B
	OR	C
	JR	NZ,RX_L6
	LD	A,37H
	OUT	(81H),A		; RTS=on

	LD	A,011H
	OUT	(0F0H),A	; 0x0000-0x7FFF BASICǂݏo

	EI
	RET


READTAPE:
	CALL	1A61H
	LD	HL,WAVST
	LD	BC,DTST-WAVST
RT_L1:
	CALL	1A70H
	LD	(HL),A
	CP	'R'		; 擪oCg̃`FbN
	JR	NZ,RT_L1
	INC	HL
	DEC	BC
RT_L2:
	CALL	1A70H
	LD	(HL),A
	LD	(BLCHR),A
	INC	HL
	DEC	BC
	LD	A,B
	OR	C
	JR	NZ,RT_L2

	LD	A,0DDH
	OUT	(0F0H),A	; 0x0000-0x7FFF RAMǂݏo

	LD	BC,(DTLENP)	; f[^oCg

	LD	A,011H
	OUT	(0F0H),A	; 0x0000-0x7FFF BASICǂݏo

RT_L4:
	CALL	1A70H
	LD	(HL),A
	LD	(BLCHR),A
	INC	HL
	LD	A,H
	CP	ADJPST
	JR	NZ,RT_L3
	LD	H,ADJPED
RT_L3:
	DEC	BC
	LD	A,B
	OR	C
	JR	NZ,RT_L4

	CALL	1AAAH

	RET


	; ʃf[^B|[gAABACȀB

PCMTABLE:
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 0 ,  0 ,  0
	DB	 1 ,  0 ,  0
	DB	 3 ,  0 ,  0
	DB	 4 ,  0 ,  0
	DB	 5 ,  0 ,  0
	DB	 5 ,  1 ,  0
	DB	 5 ,  3 ,  0
	DB	 6 ,  2 ,  0
	DB	 7 ,  0 ,  0
	DB	 7 ,  1 ,  0
	DB	 7 ,  3 ,  0
	DB	 7 ,  4 ,  0
	DB	 7 ,  5 ,  0
	DB	 8 ,  2 ,  0
	DB	 8 ,  2 ,  1
	DB	 8 ,  2 ,  3
	DB	 9 ,  0 ,  0
	DB	 9 ,  1 ,  0
	DB	 9 ,  3 ,  0
	DB	 9 ,  4 ,  0
	DB	 9 ,  5 ,  0
	DB	 9 ,  5 ,  1
	DB	 9 ,  5 ,  3
	DB	 9 ,  6 ,  2
	DB	10 ,  2 ,  0
	DB	10 ,  2 ,  1
	DB	10 ,  2 ,  3
	DB	10 ,  2 ,  4
	DB	10 ,  2 ,  5
	DB	10 ,  6 ,  1
	DB	10 ,  6 ,  3
	DB	10 ,  6 ,  4
	DB	11 ,  0 ,  0
	DB	11 ,  1 ,  0
	DB	11 ,  3 ,  0
	DB	11 ,  4 ,  0
	DB	11 ,  5 ,  0
	DB	11 ,  5 ,  1
	DB	11 ,  5 ,  3
	DB	11 ,  6 ,  2
	DB	11 ,  7 ,  0
	DB	11 ,  7 ,  1
	DB	11 ,  7 ,  3
	DB	11 ,  7 ,  4
	DB	11 ,  7 ,  5
	DB	12 ,  0 ,  0
	DB	12 ,  1 ,  0
	DB	12 ,  3 ,  0
	DB	12 ,  4 ,  0
	DB	12 ,  5 ,  0
	DB	12 ,  5 ,  1
	DB	12 ,  5 ,  3
	DB	12 ,  6 ,  2
	DB	12 ,  7 ,  0
	DB	12 ,  7 ,  1
	DB	12 ,  7 ,  3
	DB	12 ,  7 ,  4
	DB	12 ,  7 ,  5
	DB	12 ,  8 ,  2
	DB	12 ,  8 ,  4
	DB	11 , 10 ,  6
	DB	12 ,  9 ,  0
	DB	12 ,  9 ,  1
	DB	12 ,  9 ,  3
	DB	13 ,  0 ,  0
	DB	13 ,  1 ,  0
	DB	13 ,  3 ,  0
	DB	13 ,  4 ,  0
	DB	13 ,  5 ,  0
	DB	13 ,  5 ,  1
	DB	13 ,  5 ,  3
	DB	13 ,  6 ,  2
	DB	13 ,  7 ,  0
	DB	13 ,  7 ,  1
	DB	13 ,  7 ,  3
	DB	13 ,  7 ,  4
	DB	13 ,  7 ,  5
	DB	13 ,  8 ,  2
	DB	12 , 11 ,  1
	DB	12 , 11 ,  3
	DB	13 ,  9 ,  0
	DB	13 ,  9 ,  1
	DB	13 ,  9 ,  3
	DB	13 ,  9 ,  4
	DB	13 ,  9 ,  5
	DB	12 , 11 ,  7
	DB	13 ,  9 ,  6
	DB	13 ,  8 ,  8
	DB	13 ,  9 ,  7
	DB	13 , 10 ,  3
	DB	14 ,  0 ,  0
	DB	14 ,  1 ,  0
	DB	14 ,  3 ,  0
	DB	14 ,  4 ,  0
	DB	14 ,  5 ,  0
	DB	14 ,  5 ,  1
	DB	14 ,  5 ,  3
	DB	14 ,  6 ,  2
	DB	14 ,  7 ,  0
	DB	14 ,  7 ,  1
	DB	14 ,  7 ,  3
	DB	14 ,  7 ,  4
	DB	14 ,  7 ,  5
	DB	14 ,  8 ,  2
	DB	13 , 11 ,  7
	DB	14 ,  8 ,  4
	DB	14 ,  9 ,  0
	DB	14 ,  9 ,  1
	DB	14 ,  9 ,  3
	DB	14 ,  9 ,  4
	DB	14 ,  9 ,  5
	DB	13 , 12 ,  3
	DB	13 , 12 ,  4
	DB	13 , 12 ,  5
	DB	14 , 10 ,  2
	DB	14 , 10 ,  3
	DB	14 , 10 ,  4
	DB	13 , 12 ,  7
	DB	14 , 10 ,  6
	DB	13 , 11 , 10
	DB	14 , 10 ,  7
	DB	14 , 10 ,  7
	DB	14 , 11 ,  0
	DB	14 , 11 ,  1
	DB	14 , 11 ,  3
	DB	14 , 11 ,  4
	DB	14 , 11 ,  5
	DB	15 ,  0 ,  0
	DB	13 , 13 ,  0
	DB	15 ,  2 ,  0
	DB	15 ,  2 ,  1
	DB	15 ,  3 ,  2
	DB	15 ,  4 ,  2
	DB	15 ,  6 ,  0
	DB	15 ,  6 ,  1
	DB	15 ,  6 ,  3
	DB	15 ,  6 ,  4
	DB	15 ,  7 ,  2
	DB	14 , 12 ,  4
	DB	15 ,  8 ,  0
	DB	15 ,  8 ,  1
	DB	15 ,  8 ,  3
	DB	15 ,  8 ,  4
	DB	15 ,  8 ,  5
	DB	13 , 13 ,  9
	DB	15 ,  9 ,  2
	DB	15 ,  9 ,  3
	DB	15 ,  8 ,  7
	DB	15 ,  9 ,  5
	DB	15 ,  9 ,  6
	DB	15 , 10 ,  0
	DB	15 , 10 ,  1
	DB	15 , 10 ,  3
	DB	15 , 10 ,  4
	DB	15 , 10 ,  5
	DB	15 ,  9 ,  8
	DB	14 , 13 ,  3
	DB	14 , 13 ,  4
	DB	15 , 10 ,  7
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0
	DB	15 , 11 ,  0


;PCMTABLE:
;	DB	 0 ,  0 ,  0
;	DB	 0 ,  0 ,  0
;	DB	 1 ,  0 ,  0
;	DB	 2 ,  0 ,  0
;	DB	 3 ,  0 ,  0
;	DB	 2 ,  1 ,  0
;	DB	 4 ,  0 ,  0
;	DB	 3 ,  2 ,  0
;	DB	 5 ,  0 ,  0
;	DB	 4 ,  2 ,  0
;	DB	 5 ,  1 ,  0
;	DB	 6 ,  0 ,  0
;	DB	 5 ,  3 ,  0
;	DB	 6 ,  1 ,  0
;	DB	 6 ,  2 ,  0
;	DB	 6 ,  3 ,  0
;	DB	 7 ,  0 ,  0
;	DB	 6 ,  4 ,  0
;	DB	 7 ,  1 ,  0
;	DB	 7 ,  2 ,  0
;	DB	 7 ,  3 ,  0
;	DB	 7 ,  2 ,  1
;	DB	 7 ,  4 ,  0
;	DB	 8 ,  0 ,  0
;	DB	 7 ,  5 ,  0
;	DB	 8 ,  1 ,  0
;	DB	 8 ,  2 ,  0
;	DB	 8 ,  3 ,  0
;	DB	 8 ,  2 ,  1
;	DB	 8 ,  4 ,  0
;	DB	 8 ,  2 ,  3
;	DB	 8 ,  5 ,  0
;	DB	 9 ,  0 ,  0
;	DB	 8 ,  5 ,  1
;	DB	 9 ,  1 ,  0
;	DB	 9 ,  2 ,  0
;	DB	 9 ,  3 ,  0
;	DB	 9 ,  2 ,  1
;	DB	 9 ,  4 ,  0
;	DB	 9 ,  3 ,  2
;	DB	 9 ,  5 ,  0
;	DB	 9 ,  4 ,  2
;	DB	 9 ,  5 ,  1
;	DB	 9 ,  6 ,  0
;	DB	 9 ,  5 ,  3
;	DB	10 ,  0 ,  0
;	DB	 9 ,  6 ,  2
;	DB	10 ,  1 ,  0
;	DB	10 ,  2 ,  0
;	DB	10 ,  3 ,  0
;	DB	10 ,  2 ,  1
;	DB	10 ,  4 ,  0
;	DB	10 ,  2 ,  3
;	DB	10 ,  5 ,  0
;	DB	10 ,  2 ,  4
;	DB	10 ,  5 ,  1
;	DB	10 ,  2 ,  5
;	DB	10 ,  5 ,  3
;	DB	10 ,  6 ,  1
;	DB	10 ,  6 ,  2
;	DB	10 ,  6 ,  3
;	DB	10 ,  7 ,  0
;	DB	10 ,  6 ,  4
;	DB	10 ,  7 ,  1
;	DB	11 ,  0 ,  0
;	DB	10 ,  7 ,  3
;	DB	11 ,  1 ,  0
;	DB	11 ,  2 ,  0
;	DB	11 ,  3 ,  0
;	DB	11 ,  2 ,  1
;	DB	11 ,  4 ,  0
;	DB	11 ,  3 ,  2
;	DB	11 ,  5 ,  0
;	DB	11 ,  4 ,  2
;	DB	11 ,  5 ,  1
;	DB	11 ,  6 ,  0
;	DB	11 ,  5 ,  3
;	DB	11 ,  6 ,  1
;	DB	11 ,  6 ,  2
;	DB	11 ,  6 ,  3
;	DB	11 ,  7 ,  0
;	DB	11 ,  6 ,  4
;	DB	11 ,  7 ,  1
;	DB	11 ,  7 ,  2
;	DB	11 ,  7 ,  3
;	DB	10 ,  9 ,  5
;	DB	11 ,  7 ,  4
;	DB	11 ,  8 ,  0
;	DB	11 ,  7 ,  5
;	DB	11 ,  8 ,  1
;	DB	12 ,  0 ,  0
;	DB	11 ,  8 ,  3
;	DB	12 ,  1 ,  0
;	DB	12 ,  2 ,  0
;	DB	12 ,  3 ,  0
;	DB	12 ,  2 ,  1
;	DB	12 ,  4 ,  0
;	DB	12 ,  3 ,  2
;	DB	12 ,  5 ,  0
;	DB	12 ,  4 ,  2
;	DB	12 ,  5 ,  1
;	DB	12 ,  6 ,  0
;	DB	12 ,  5 ,  3
;	DB	12 ,  6 ,  1
;	DB	12 ,  6 ,  2
;	DB	12 ,  6 ,  3
;	DB	12 ,  7 ,  0
;	DB	12 ,  6 ,  4
;	DB	12 ,  7 ,  1
;	DB	12 ,  7 ,  2
;	DB	12 ,  7 ,  3
;	DB	11 , 10 ,  1
;	DB	12 ,  7 ,  4
;	DB	12 ,  8 ,  0
;	DB	12 ,  7 ,  5
;	DB	12 ,  8 ,  1
;	DB	12 ,  8 ,  2
;	DB	12 ,  8 ,  3
;	DB	12 ,  8 ,  4
;	DB	12 ,  8 ,  4
;	DB	11 , 10 ,  6
;	DB	12 ,  8 ,  5
;	DB	12 ,  9 ,  0
;	DB	12 ,  9 ,  1
;	DB	12 ,  9 ,  1
;	DB	12 ,  9 ,  2
;	DB	12 ,  9 ,  3
;	DB	13 ,  0 ,  0
;	DB	13 ,  0 ,  0
;	DB	12 ,  8 ,  7
;	DB	13 ,  1 ,  0
;	DB	13 ,  2 ,  0
;	DB	13 ,  3 ,  0
;	DB	13 ,  2 ,  1
;	DB	13 ,  4 ,  0
;	DB	13 ,  3 ,  2
;	DB	13 ,  5 ,  0
;	DB	13 ,  4 ,  2
;	DB	13 ,  5 ,  1
;	DB	13 ,  6 ,  0
;	DB	13 ,  5 ,  3
;	DB	13 ,  6 ,  1
;	DB	13 ,  6 ,  2
;	DB	13 ,  6 ,  3
;	DB	13 ,  7 ,  0
;	DB	13 ,  6 ,  4
;	DB	13 ,  7 ,  1
;	DB	13 ,  7 ,  2
;	DB	13 ,  7 ,  3
;	DB	13 ,  7 ,  3
;	DB	13 ,  7 ,  4
;	DB	13 ,  8 ,  0
;	DB	13 ,  7 ,  5
;	DB	13 ,  8 ,  1
;	DB	13 ,  8 ,  2
;	DB	13 ,  8 ,  3
;	DB	12 , 11 ,  1
;	DB	13 ,  8 ,  4
;	DB	12 , 11 ,  3
;	DB	13 ,  8 ,  5
;	DB	13 ,  9 ,  0
;	DB	13 ,  9 ,  0
;	DB	13 ,  9 ,  1
;	DB	13 ,  9 ,  2
;	DB	13 ,  9 ,  3
;	DB	12 , 11 ,  6
;	DB	13 ,  9 ,  4
;	DB	13 ,  8 ,  7
;	DB	13 ,  9 ,  5
;	DB	13 ,  9 ,  5
;	DB	12 , 11 ,  7
;	DB	13 ,  9 ,  6
;	DB	13 ,  9 ,  6
;	DB	13 , 10 ,  0
;	DB	13 ,  8 ,  8
;	DB	13 , 10 ,  1
;	DB	13 ,  9 ,  7
;	DB	13 , 10 ,  3
;	DB	13 , 10 ,  3
;	DB	13 , 10 ,  4
;	DB	14 ,  0 ,  0
;	DB	13 , 10 ,  5
;	DB	14 ,  1 ,  0
;	DB	14 ,  2 ,  0
;	DB	14 ,  3 ,  0
;	DB	14 ,  2 ,  1
;	DB	14 ,  4 ,  0
;	DB	14 ,  3 ,  2
;	DB	14 ,  5 ,  0
;	DB	14 ,  4 ,  2
;	DB	14 ,  5 ,  1
;	DB	14 ,  6 ,  0
;	DB	14 ,  5 ,  3
;	DB	14 ,  6 ,  1
;	DB	14 ,  6 ,  2
;	DB	14 ,  6 ,  3
;	DB	14 ,  7 ,  0
;	DB	14 ,  6 ,  4
;	DB	14 ,  7 ,  1
;	DB	14 ,  7 ,  2
;	DB	14 ,  7 ,  3
;	DB	14 ,  7 ,  3
;	DB	14 ,  7 ,  4
;	DB	14 ,  8 ,  0
;	DB	14 ,  7 ,  5
;	DB	14 ,  8 ,  1
;	DB	14 ,  8 ,  2
;	DB	14 ,  8 ,  3
;	DB	13 , 11 ,  7
;	DB	14 ,  8 ,  4
;	DB	14 ,  8 ,  4
;	DB	14 ,  8 ,  5
;	DB	14 ,  9 ,  0
;	DB	14 ,  9 ,  0
;	DB	14 ,  9 ,  1
;	DB	14 ,  9 ,  2
;	DB	14 ,  9 ,  3
;	DB	14 ,  9 ,  3
;	DB	14 ,  9 ,  4
;	DB	14 ,  8 ,  7
;	DB	14 ,  9 ,  5
;	DB	13 , 12 ,  2
;	DB	13 , 12 ,  3
;	DB	14 ,  9 ,  6
;	DB	13 , 12 ,  4
;	DB	14 , 10 ,  0
;	DB	13 , 12 ,  5
;	DB	14 , 10 ,  1
;	DB	14 , 10 ,  2
;	DB	14 , 10 ,  3
;	DB	14 , 10 ,  3
;	DB	14 , 10 ,  4
;	DB	14 , 10 ,  4
;	DB	14 , 10 ,  5
;	DB	13 , 12 ,  7
;	DB	14 ,  9 ,  8
;	DB	14 , 10 ,  6
;	DB	13 , 11 , 10
;	DB	13 , 11 , 10
;	DB	13 , 11 , 10
;	DB	14 , 10 ,  7
;	DB	14 , 10 ,  7
;	DB	14 , 10 ,  7
;	DB	14 , 11 ,  0
;	DB	14 , 11 ,  0
;	DB	14 , 11 ,  0
;	DB	14 , 11 ,  1
;	DB	14 , 11 ,  2
;	DB	14 , 11 ,  3
;	DB	14 , 11 ,  3
;	DB	14 , 11 ,  4
;	DB	14 , 11 ,  4
;	DB	14 , 11 ,  5
;	DB	14 , 11 ,  5
;	DB	15 ,  0 ,  0
;	DB	15 ,  0 ,  0


